Bug 132453 - fence_rib does not work with RIBCL version 2.0 or later
fence_rib does not work with RIBCL version 2.0 or later
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam "mantis" Manthei
GFS Bugs
:
Depends On:
Blocks: 137219
  Show dependency treegraph
 
Reported: 2004-09-13 12:41 EDT by Adam "mantis" Manthei
Modified: 2010-01-11 21:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
support for RIBCL version 2.0 (9.51 KB, patch)
2004-09-13 12:44 EDT, Adam "mantis" Manthei
no flags Details | Diff
use Net::SSLeay instead of Net::SSL (25.14 KB, patch)
2004-09-13 12:51 EDT, Adam "mantis" Manthei
no flags Details | Diff

  None (edit)
Description Adam "mantis" Manthei 2004-09-13 12:41:26 EDT
Description of problem:
The fence_rib agent does not work with RIBCL firware version 2.0 or
later.  1.50 was the iLO firware version that first introduced the 2.0
version of the RIBCL interface.  

Version-Release number of selected component (if applicable):
GFS-6.0.0-10

How reproducible:
always
Comment 1 Adam "mantis" Manthei 2004-09-13 12:44:03 EDT
Created attachment 103787 [details]
support for RIBCL version 2.0 

This adds support for RIBCL version 2.0  Howver, the later versions of of the
iLO firmware do not interact well with stunnel.  Use of the Net::SSLeay perl
module would be better.
Comment 2 Adam "mantis" Manthei 2004-09-13 12:51:29 EDT
Created attachment 103788 [details]
use Net::SSLeay instead of Net::SSL

This uses the Net::SSLeay module instead of relying upon stunnel to create the
SSL connection.  This seems to work much better than using the stunnel proxy
which can result in prematurely dropped connections.
Comment 3 Adam "mantis" Manthei 2004-09-20 11:10:49 EDT
A new fencing agent named fence_ilo has been added.  This agent uses
the Net::SSLeay module (see attachment #103788 [details] above) instead of
stunnel to do the SSL communication to the iLO card.  The fence_rib
agent will continue to use the stunnel program.  

fence_ilo should be used instead of fence_rib from here on out.  If
fence_rib is used, a message is printed to STDERR (or syslog) that
states that fence_rib is a deprecated agent.  The rationale behind
creating a seperate agent is that users of the fence_rib agent will
not break their systems by upgrading to a later version of GFS should
the Net::SSLeay perl module not already be installed on the system. 
For now, users will have to install the Net::SSLeay perl module by
installing from source on www.cpan.org
Comment 5 David Lawrence 2004-09-29 16:00:45 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-490.html

Note You need to log in before you can comment on or make changes to this bug.